import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询列表
export function listSysScheduledTaskLog(query) {
  return request({
    url: '/sysscheduledtasklog/list',
    method: 'get',
    params: query
  })
}

// 2. 查询详细信息
export function getSysScheduledTaskLog(businessId) {
  return request({
    url: '/sysscheduledtasklog/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增
export function addSysScheduledTaskLog(data) {
  data = Qs.stringify(data)
  return request({
    url: '/sysscheduledtasklog/add',
    method: 'post',
    data: data
  })
}

// 4. 修改
export function updateSysScheduledTaskLog(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/sysscheduledtasklog/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除
export function delSysScheduledTaskLog(businessId) {
  return request({
    url: '/sysscheduledtasklog/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出
export function exportSysScheduledTaskLog(query) {
  return request({
    url: '/sysscheduledtasklog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
